> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a single end user file by Heron ID

> Retrieve a single end user file by its Heron ID. Returns file metadata including filename, file class, parsed results (if any), and related info. Use this endpoint when you have an end user file Heron ID and need its details without listing or filtering all files.




## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_user_files/{heron_id}
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_user_files/{heron_id}:
    get:
      tags:
        - EndUserFiles
      summary: Get a single end user file by Heron ID
      description: >
        Retrieve a single end user file by its Heron ID. Returns file metadata
        including filename, file class, parsed results (if any), and related
        info. Use this endpoint when you have an end user file Heron ID and need
        its details without listing or filtering all files.
      parameters:
        - description: The Heron ID of the end user file (e.g. euf_...)
          in: path
          name: heron_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndUserFileSchema'
          description: The end user file
        '404':
          description: End user file not found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    EndUserFileSchema:
      properties:
        bank_statement:
          allOf:
            - $ref: '#/components/schemas/PdfGet'
          example: null
          nullable: true
          readOnly: true
        created:
          format: date-time
          type: string
        email:
          allOf:
            - $ref: '#/components/schemas/EndUserEmailSchema'
          example: null
          nullable: true
          readOnly: true
        file_class:
          type: string
        file_source_metadata:
          additionalProperties: {}
          nullable: true
          readOnly: true
          type: object
        filename:
          type: string
        heron_id:
          type: string
        iso_application:
          allOf:
            - $ref: '#/components/schemas/GetIsoApplication'
          nullable: true
          readOnly: true
        num_pages:
          type: integer
        page_classes:
          additionalProperties:
            $ref: '#/components/schemas/EndUserFilePageClasses'
          nullable: true
          type: object
        parent_heron_id:
          nullable: true
          type: string
        parsed_results:
          default: []
          items:
            $ref: '#/components/schemas/ParsedEndUserFile'
          readOnly: true
          type: array
        processing_error:
          nullable: true
          readOnly: true
          type: string
        reference_id:
          type: string
        renamed_filename:
          type: string
      type: object
    PdfGet:
      properties:
        data_source:
          allOf:
            - $ref: '#/components/schemas/DataSourceNested'
          description: >-
            The data source for this PDF. Only available after parsing and
            enrichment has completed, otherwise null.
          nullable: true
        heron_id:
          description: ID generated by Heron Data
          example: pdf_TkuyrNF7ZXY33Lje8i8GVH
          type: string
        status:
          description: Status of PDF
          enum:
            - new
            - parsing
            - parsed
            - processed
            - human_reviewing
            - approved
            - rejected
            - failed
            - transactions_loaded
            - transactions_unloaded
          example: processed
          type: string
      type: object
    EndUserEmailSchema:
      properties:
        cc_addresses:
          items:
            type: string
          type: array
        created:
          format: date-time
          type: string
        date_sent:
          format: date-time
          type: string
        date_sent_string:
          type: string
        from_address:
          type: string
        from_address_domain:
          type: string
        from_name:
          type: string
        heron_id:
          type: string
        html_body:
          type: string
        html_or_text_body:
          type: string
        is_reply:
          type: boolean
        processing_status:
          enum:
            - new
            - processing
            - processed
            - failed
          type: string
        reply_to:
          nullable: true
          type: string
        subject:
          type: string
        subject_cleaned:
          type: string
        text_body:
          type: string
        to_addresses:
          items:
            type: string
          type: array
        viewer_url:
          description: a temporary, secure URL for viewing the email contents
          type: string
      type: object
    GetIsoApplication:
      properties:
        heron_id:
          description: The ISO application's heron_id
          example: iso_6hBjQT9k6KP2rLCXwjUJff
          type: string
        processing_status:
          description: The processing status of the file.
          enum:
            - new
            - processing
            - processed
            - failed
          example: processed
          type: string
      required:
        - heron_id
        - processing_status
      type: object
    EndUserFilePageClasses:
      properties:
        confidence:
          default: 1
          type: number
        file_class:
          type: string
      type: object
    ParsedEndUserFile:
      properties:
        attribute_values:
          items:
            additionalProperties: {}
            type: object
          type: array
        bounding_boxes:
          items:
            $ref: '#/components/schemas/ParsedEndUserFileBoundingBox'
          nullable: true
          type: array
        created:
          format: date-time
          type: string
        field_validations:
          items:
            $ref: '#/components/schemas/FieldValidation'
          type: array
        heron_id:
          description: Unique identifier of the end user file
          type: string
        id:
          description: '[DEPRECATED] Unique identifier for the parsed file'
          type: integer
        layout_bounding_boxes:
          items:
            $ref: '#/components/schemas/ParsedEndUserFileBoundingBox'
          nullable: true
          type: array
        parser_display_name:
          type: string
        parser_id:
          type: string
        parsing_status:
          enum:
            - succeeded
            - failed
            - processing
          type: string
        patches:
          items:
            $ref: '#/components/schemas/ParsedEndUserFilePatch'
          type: array
        result:
          additionalProperties: {}
          description: Final output result after applying patches
          nullable: true
          type: object
        result_schema:
          additionalProperties: {}
          description: The output JSON schema the results conform to
          type: object
        validation_summary:
          description: Summary of validation results
          type: string
      required:
        - created
        - heron_id
        - parser_id
        - parsing_status
      type: object
    DataSourceNested:
      properties:
        heron_id:
          description: Heron ID of the data source
          type: string
        is_enabled:
          description: Whether this data source is enabled
          type: boolean
      type: object
    ParsedEndUserFileBoundingBox:
      properties:
        bounding_box:
          description: Bounding box coordinates in the format 'y1,x1,y2,x2'
          items:
            type: number
          type: array
        json_pointer:
          description: JSON pointer to the field in the parsed result
          type: string
        page_num:
          description: Page number where the bounding box is located
          type: integer
        value:
          description: The actual value of the field within the bounding box
          type: string
      required:
        - bounding_box
        - json_pointer
        - page_num
        - value
      type: object
    FieldValidation:
      properties:
        failure_reason:
          nullable: true
          type: string
        field_name:
          type: string
        result:
          enum:
            - pass
            - fail
            - not_applicable
          example: pass
          type: string
        validation_type:
          type: string
      required:
        - failure_reason
        - field_name
        - result
        - validation_type
      type: object
    ParsedEndUserFilePatch:
      properties:
        correction_reason:
          nullable: true
          type: string
        enabled:
          nullable: true
          type: boolean
        op:
          type: string
        original_value:
          nullable: true
        path:
          type: string
        source:
          nullable: true
          type: string
        value:
          nullable: true
      required:
        - op
        - path
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````